﻿@import url("rebranding.css");

#rememberMeContainer {
    margin-top: -15px;
    width: 50%;
}

.login-form-group {
    font-family: Roboto;
    background: #EFF1F2 0% 0% no-repeat padding-box;
    border: 1px solid #00000000;
    border-radius: 4px 4px 0px 0px;
    margin-bottom: 16px;
    opacity: 1;
}

.form-radio,
.login-form-group {
    position: relative;
    text-align: left;
    padding-left: 16px;
    padding-right: 16px;
}

.form-inline > .login-form-group,
.form-inline > .btn {
    display: inline-block;
    margin-bottom: 0;
}

.form-help {
    margin-top: 0.125rem;
    margin-left: 0.125rem;
    color: #b3b3b3;
    font-size: 0.8rem;
}

.login-form-group input {
    height: 20px;
}

.login-form-group textarea {
    resize: none;
}

.login-form-group select {
    width: 100%;
    font-size: 1.2rem;
    height: 1.6rem;
    background: none;
    border: none;
    line-height: 1.6;
    box-shadow: none;
}

.login-form-group .login-control-label {
    text-align: left;
    font: normal normal normal 12px/14px Roboto;
    letter-spacing: 0px;
    color: #000000;
    opacity: 0.6;

    position: relative;
    top: 0px;
    margin-top: 9px;
    margin-bottom: 0px;
    height: 16px;
    pointer-events: none;
    z-index: 1;
    /*color: var(--login-main-color);*/
    -webkit-transition: all 0.28s ease;
    transition: all 0.28s ease;
}

.login-form-group .loginbar {
    position: relative;
    border-bottom: 0.0625rem solid #999;
    display: block;
    padding-top: 4px;
    margin-left: -16px;
    margin-right: -16px;
}

    .login-form-group .loginbar::before {
        content: '';
        height: 0.125rem;
        width: 0;
        left: 50%;
        bottom: -0.0625rem;
        position: absolute;
        background: var(--login-main-color);
        -webkit-transition: left 0.28s ease, width 0.28s ease;
        transition: left 0.28s ease, width 0.28s ease;
        z-index: 2;
    }

.login-form-group input,
.login-form-group textarea {
    text-align: left;
    font: normal normal normal 16px/19px Roboto;
    letter-spacing: 0px;
    color: #000000;
    opacity: 0.6;

    display: block;
    background: none;
    border-width: 0;
    border-color: transparent;
    line-height: 1.9;
    width: 100%;
    -webkit-transition: all 0.28s ease;
    transition: all 0.28s ease;
    box-shadow: none;
}

    .login-form-group input[type="file"] {
        line-height: 1;
    }

        .login-form-group input[type="file"] ~ .loginbar {
            display: none;
        }

    .login-form-group select,
    .login-form-group input:focus,
    .login-form-group input:valid,
    .login-form-group input.form-file,
    .login-form-group input.has-value,
    .login-form-group textarea:focus,
    .login-form-group textarea:valid,
    .login-form-group textarea.form-file,
    .login-form-group textarea.has-value {
        color: #333;
    }

.login-form-group .login-control-label ~ select,
.login-form-group .login-control-label ~ input:focus,
.login-form-group .login-control-label ~ input:valid,
.login-form-group .login-control-label ~ input.form-file,
.login-form-group .login-control-label ~ input.has-value,
.login-form-group .login-control-label ~ textarea:focus,
.login-form-group .login-control-label ~ textarea:valid,
.login-form-group .login-control-label ~ textarea.form-file,
.login-form-group .login-control-label ~ textarea.has-value {
    text-align: left;
    font: normal normal normal 16px/19px Roboto;
    letter-spacing: 0px;
    color: #000000;
    opacity: 0.6;
}

.login-form-group input:-webkit-autofill ~ .login-control-label {
    text-align: left;
    font: normal normal normal 16px/19px Roboto;
    letter-spacing: 0px;
    color: #000000;
    opacity: 0.6;
}

    .login-form-group select:focus,
    .login-form-group input:focus,
    .login-form-group textarea:focus {
        outline: none;
    }

.login-form-group .login-control-label ~ select:focus,
.login-form-group .login-control-label ~ input:focus,
.login-form-group .login-control-label ~ textarea:focus {
    /*color: var(--login-main-color);*/
}

.login-form-group select:focus ~ .loginbar::before,
.login-form-group input:focus ~ .loginbar::before,
.login-form-group textarea:focus ~ .loginbar::before {
    width: 100%;
    left: 0;
}

.has-error .legend.legend, .has-error.login-form-group .login-control-label.login-control-label {
    color: #d9534f;
}

.has-error.login-form-group .form-help,
.has-error.login-form-group .helper, .has-error.checkbox .form-help,
.has-error.checkbox .helper, .has-error.radio .form-help,
.has-error.radio .helper, .has-error.form-radio .form-help,
.has-error.form-radio .helper {
    color: #d9534f;
}

.has-error .loginbar::before {
    background: #d9534f;
    left: 0;
    width: 100%;
}

.loginbutton {
    font-family: Roboto,Helvetica Neue,sans-serif;
    font-size: 14px;
    font-weight: 500;
    position: relative;
    background: currentColor;
    border: 1px solid currentColor;
    font-size: 1.2rem;
    background-color: var(--login-main-color);
    color: white;
    /* margin-right: 2px; */
    padding: 10px 10px;
    cursor: pointer;
    -webkit-transition: background-color 0.28s ease, color 0.28s ease, box-shadow 0.28s ease;
    transition: background-color 0.28s ease, color 0.28s ease, box-shadow 0.28s ease;
    overflow: hidden;
    float: right;
    border-radius: 5px;
    min-width: 120px;
}
a.windowsButtonCustom:hover, a.windowsButtonCustom:focus, button.windowsButtonCustom:enabled:hover {
    color: black;
    text-decoration: none;
    outline: none;
}

a.wwButton:hover, a.wwButton:focus, button.wwButton:enabled:hover {
    color: #f1f1f1;
    text-decoration: none;
    background: #4d5ee0;
    border: 1px solid #4D5EE0;
    background-color: #4D5EE0;
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#4D5EE0), color-stop(100%, #4d5eb3));
    background-image: -webkit-linear-gradient(top, #4D5EE0, #4d5eb3);
    background-image: -moz-linear-gradient(top, #4D5EE0, #4d5eb3);
    background-image: -ms-linear-gradient(top, #4D5EE0, #4d5eb3);
    background-image: -o-linear-gradient(top, #4D5EE0, #4d5eb3);
    background-image: linear-gradient(top, #4D5EE0, #4d5eb3);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#4D5EE0, endColorstr=#4d5eb3);
}

#loginButton > button[disabled] {
    color: rgba(0,0,0,.26);
    cursor: default;
    background-color: rgba(0,0,0,.12) !important;
}
a.loginbutton :hover {
}

.loginbutton span {
    position: relative;
    z-index: 1;
}

.loginbutton:disabled span{
    color: rgba(0, 0, 0, 0.26) !important
}

.loginbutton::before {
    content: '';
    position: absolute;
    background: #071017;
    color: white;
    border: 50vh solid #007626;
    width: 30vh;
    height: 30vh;
    border-radius: 50%;
    display: block;
    top: 50%;
    left: 50%;
    z-index: 0;
    opacity: 1;
    -webkit-transform: translate(-50%, -50%) scale(0);
    transform: translate(-50%, -50%) scale(0);
}

.loginbutton:focus {
    outline: none;
}

.formControlCustom {
    border-radius: 0px !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    -webkit-transition: none !important;
    transition: none !important;
}

.formControlCustom:focus {
    outline: 1px solid var(--login-main-color) !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

/*windows authentitcation*/
.div-windows-logon {
    width: 100%;
    display: flex;
    -o-justify-content: center;
    -webkit-justify-content: center;
    justify-content: center;
}

.windowsButtonCustom {
    border: 1px solid #AEB0B0;
    background: transparent;
    letter-spacing: 0px;
    color: #2A2C30;
    min-width: 230px;
    max-width: 320px;
}

.windowsButtonCustom, .wwButton {
    font: normal normal 500 14px/17px Roboto;
    border-radius: 4px;
    padding: 10px 10px;
    display: inline-block;
    overflow: hidden;
    margin-bottom: 5px;
    min-width: 103px;
    height: 36px;
    opacity: 1;
    vertical-align: middle;
    text-align: center;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.wwButton:disabled {
    border: #AEB0B0;
}

.wwButton {
    border: 1px solid #4D5EE0;
    background-color: var(--login-main-color);
    color: white;
}

.from-control-label {
    display: inline-block;
    overflow: hidden;
    width: 300px !important;
    min-width: 300px;
    border: none;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.label-control-label {
    display: inline-block;
    overflow-x: hidden;
    border: none;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.menu-control-label {
    display: inline-block;
    overflow: hidden;
    width: 170px !important;
    min-width: 170px;
    border: none;
    -ms-text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#divValidationSummary, #divEmailNotSupported {
    position: relative;
    padding-right: 32px;
}